{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Новости</h2>
    <p>Комментарии</p>
    <hr>
    <table class="table">
        <thead>
        <tr>
            <th>id</th>
            <th>Комментарий</th>
            <th>Запись</th>
            <th>Пользователь</th>
            <th>Дата</th>
            <th>Действие</th>
        </tr>
        </thead>
        {% for comment in comments %}
            <tr>
                <td>
                    {{ comment.id }}
                </td>
                <td>
                    {{ comment.text }}
                </td>
                <td>
                    <a href="{{ project_root }}/news/{{ comment.post.category.query }}/{{ comment.post.id }}">{{ comment.post.title }}</a>
                </td>
                <td>
                    {{ comment.user.firstname }} {{ comment.user.lastname }}
                </td>
                <td>
                    {{ comment.date }}
                </td>
                <td>
                    <a type="button" href="{{ project_root }}/admin/news/comments/edit/{{ comment.id }}" class="btn btn-success">Изменить</a>
                    <a type="button" href="{{ project_root }}/admin/news/comments/delete/{{ comment.id }}" class="btn btn-danger">Удалить</a>
                </td>
            </tr>
        {% endfor %}
    </table>
    <hr>
    <nav aria-label="Page navigation">
        <ul class="pagination">
            <li {% if current_page == 1 %}class="disabled"{% endif %}>
                <a {% if current_page == 1 %}{% else %}href="admin/news?page={{ current_page - 1 }}{% endif %}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
            {% for page in 1..pages_number %}
                <li {% if current_page == page %}class="active"{% endif %}><a href="admin/news?page={{ page }}">{{ page }}</a></li>
            {% endfor %}
            <li {% if current_page == pages_number %}class="disabled"{% endif %}>
                <a {% if current_page == pages_number %}{% else %} href="admin/news?page={{ current_page + 1 }}{% endif %}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </ul>
    </nav>
{% endblock %}